@charset "utf-8";

:root {
    --header-border-color: rgb(22, 22, 22);
    --header-bg-color: rgba(0,0,0,0.9);
}

:root.dark {
    --header-bg-color: rgba(0,0,0,0.8);
}

@-webkit-keyframes color-animation-2 {
    100% { background-position-x: 100% }
    0% { background-position-x: 0%}
}

@-webkit-keyframes color-animation-3 {
    100% { background-position-x: 0% }
    0% { background-position-x: 100% }
}

nav {
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    z-index: 999999999;
    position: -webkit-sticky;
    position: sticky;
    display: flex;
    justify-content: space-between;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 50px;
    background-color: var(--header-bg-color);
    border-bottom: 1px solid var(--header-border-color);
}

div.scrollIndicator {
    position: absolute;
    top: calc(100% - 2px);
    left: 0px;
    width: 100%;
    height: 2px;
}

div.scrollIndicator > div:nth-child(1),
div.scrollIndicator > div:nth-child(2) {
    bottom: 100%;
    height: 100%;
    background-size: 240%;
    transition: background 0.10s;
    position: absolute;
}

div.scrollIndicator > div:nth-child(1) {
    left: 50%;
    background-image: linear-gradient( to left, var(--yellow) 0%, var(--yellow) 50%, 
    var(--bright) 55%, var(--yellow) 60%, var(--yellow) 100%);
    -webkit-animation: color-animation-2 7s ease infinite;
    -moz-animation: color-animation-2 7s ease infinite;
    animation: color-animation-2 7s ease infinite;
}

div.scrollIndicator > div:nth-child(2) {
    right: 50%;
    background-image: linear-gradient( to right, var(--yellow) 0%, var(--yellow) 50%, 
    var(--bright) 55%, var(--yellow) 60%, var(--yellow) 100%);
    -webkit-animation: color-animation-3 7s ease infinite;
    -moz-animation: color-animation-3 7s ease infinite;
    animation: color-animation-3 7s ease infinite;
}

div.scrollIndicator > div:nth-child(1)::before,
div.scrollIndicator > div:nth-child(2)::before {
    content: " ";
    height: 2px;
    width: 0;
    position: absolute;
    top: 0;
}

div.scrollIndicator > div:nth-child(1)::before {
    background-image: linear-gradient(to left, #000000FF, #00000000);
    right: 0;
}

div.scrollIndicator > div:nth-child(2)::before {
    background-image: linear-gradient(to right, #000000FF, #00000000);
    left: 0;
}

div.scrollNoAnim > div:nth-child(1),
div.scrollNoAnim > div:nth-child(2) {
    -webkit-animation: none;
    -moz-animation: none;
    transition: background 0.5s;
    background: linear-gradient(var(--yellow), var(--yellow));
    animation: none;
    background-size: 240%;
}

div.scrollNoAnim > div:nth-child(1) { background-position-x: 100%; }
div.scrollNoAnim > div:nth-child(2) { background-position-x: 0; }
nav.x1 { position: relative; }

nav > ul {
    margin: 0 auto;
    min-height: 50px;
    max-width: 90%;
    justify-content: center;
    display: flex;
}

nav > ul > a.logo {
    padding: 0px 10px;
    width: 200px;
    background-position: center;
    background-repeat: no-repeat;
    background-image: url(../icons/logo.svg);
    background-size: 220px;
}

nav > ul > li#toggleTheme {
    width: 40px;
    height: 50px;
    background-image: url(../icons/dark-mode.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 20px;
    color:  transparent;
    cursor: pointer;
}

html.dark nav > ul > li#toggleTheme { background-image: url(../icons/light-mode.svg); }